# Alliance Auth Helper-Functions API

## User API

### get_main_character_from_user

### get_main_character_name_from_user

### get_sentinel_user

This function is useful in models when using `User` model-objects as foreign keys.
Django needs to know what should happen to those relations when the user is being
deleted. To keep the data, you can have Django map this to the sentinel user.

Import:

```python
from allianceauth.framework.api.user import get_sentinel_user
```

And later in your model:

```python
creator = models.ForeignKey(
    to=User,
    on_delete=models.SET(get_sentinel_user),
)
```
